Page MenuHomePhabricator

1.36.0-wmf.27 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
LarsWirzenius
Release Version
1.36.0-wmf.27
Release Date
Jan 18 2021, 12:00 AM

2021 week 03 1.36-wmf.27 Changes wmf/1.36.0-wmf.27

This MediaWiki Train Deployment is scheduled for the week of Monday, January 18th:

Monday January 18thTuesday, January 19thWednesday, January 20thThursday, January 21stFriday
Backports only.Branch wmf.27 and deploy to Group 0 Wikis.Deploy wmf.27 to Group 1 Wikis.Deploy wmf.27 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.27 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.26
Next: 1.36.0-wmf.28

Event Timeline

Risky Patch! 🚂🔥

AbuseFilter seems to be having issues on the Beta cluster – doesn’t look like something that would be Beta-specific, so probably worth keeping an eye on: T272248: AbuseFilter-triggered API errors on Beta Commons: FilterRunner::checkFilter() must be an instance of ExistingFilter, instance of Filter given

Change 656987 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.27] Branch commit for wmf/1.36.0-wmf.27

https://gerrit.wikimedia.org/r/656987

Change 656987 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.27] Branch commit for wmf/1.36.0-wmf.27

https://gerrit.wikimedia.org/r/656987

Mentioned in SAL (#wikimedia-operations) [2021-01-19T17:59:03Z] <brennen> starting deploy-promote to testwikis for 1.36.0-wmf.27 (T271341)

As we're coming up on 15:00 Pacific, blocking on T272428 for the (US) day. Can resume at earliest tomorrow during @liw's daytime if that situation is sorted.

Mentioned in SAL (#wikimedia-operations) [2021-01-20T15:18:06Z] <brennen> 1.36.0-wmf.27 train unblocked, proceeding to group0 (T271341)

Mentioned in SAL (#wikimedia-operations) [2021-01-20T20:23:11Z] <brennen> 1.36.0-wmf.27 (T271341) train: proceeding to group1

End-of-day status: Quiet on group1 for the last several hours.

End-of-day summary:

Currently stable on all wikis.